Subject: [Entmib] FW: [psg.com #79] AutoReply: Missing States for Physical Componen ts

From: "Sharon Chisholm" <[email-masked]>
Date: Tue, 16 Dec 2003 15:14:30 -0500

Hi

Proposed Resolution to ent-state-79 

Replace section 2.2.1-2.2.8, 2.3 and the object definitions (not the textual
conventions) for entStateAdmin, entStateOper, entStateUsage, entStateAlarm,
and entStateStandby. Note that this may not include all edit to this objects
proposed in relation to other issues.

 entStateAdmin OBJECT-TYPE
        SYNTAX      AdminState
        MAX-ACCESS  read-write
        STATUS      current
        DESCRIPTION 
             "The administrative state for this entity. A value of
'notApplicable'
              means that this entity is unable to report administrative
state.
              This object can not be administratively set to 'notSupported'.

              For entities that do not support administrative state,
changing the 
              value of this object to something other than 'notSupported' is
not
              permitted.  A value of 'inconsistentValue' will be returned in
either case.

              Some physical entities exhibit only a subset of the remaining
              administrative state values. Some entities cannot
              be locked, and hence this object exhibits only the unlocked
state.
              Other entities can not be shut down gracefully, and hence this
object 
              does not exhibit the shutting down state. A value of
'inconsistentValue' 
              will be returned if attempts are made to set this object to
values not  
              supported by its administrative model."
        ::= { entStateEntry 2 }     
        
  entStateOper OBJECT-TYPE
        SYNTAX      OperState
        MAX-ACCESS  read-only
        STATUS      current
        DESCRIPTION
            "The operational state for this entity. A value of
'notApplicable'
             means that this entity is unable to report operational state.

             Note that unlike the state model used within the Interfaces 
             MIB [RFC2863], this object does not follow the administrative
state.
             An administrative state of down does not guarantee an
operational state
             of disabled. 

             A value of disabled means that an entity is totally inoperable
and unable
             to provide service both to entities within its containment
hierarchy, as
             defined by having a value of entPhysicalContainedIn that refers
to this
             entity, or to other receivers of its service as defined in ways
outside the 
             scope of this MIB.

             A value of enabled means that an entity is fully or partially
operable and 
             able to provide service both to entities within its containment
hierarchy, as
             defined by having a value of entPhysicalContainedIn that refers
to this
             entity, or to other receivers of its service as defined in ways
outside the 
             scope of this MIB
             "
        ::= { entStateEntry 3 }  
           
  entStateUsage OBJECT-TYPE
        SYNTAX      UsageState
        MAX-ACCESS  read-only
        STATUS      current
        DESCRIPTION 
             "The usage state for this entity. A value of 'notApplicable'
              means that this entity is unable to report usage state.

             Note that in the context of a physical entity, this object 
             refers to an entity's ability to service more physical entities

             in a containment hierarchy. A value of idle means that no other
entity
             is contained within this entity, as would have been
             demonstrated by a value of entPhysicalContainedIn
             that referenced this entity.  A value of 'active' means that
             at least one entity is contained within this entity and
therefore
             has a value of entPhysicalContainedIn that references this
             entity, but that it could handle more. A value of 'busy' means
             that the entity is unable to handle any additional entities
             being contained in it, as demonstrated by having a value of
             entPhysicalContainedIn that refers to this entity.

             Some entities will exhibit only a subset of the remaining
             usage state values. Entities that are unable to ever 
             service any entities within a containment hierarchy will always

             have a usage state of busy. Some entities will only ever be
             able to support one entity within its containment hierarchy and
             will therefore only exhibit values of idle and busy."
        ::= { entStateEntry 4 } 
        
  entStateAlarm OBJECT-TYPE
        SYNTAX      AlarmStatus
        MAX-ACCESS  read-only
        STATUS      current
        DESCRIPTION 
             "The alarm status for this entity. It does not include 
             the alarms raised on child components within its 
             containment hierarchy, as defined by a value of 
             entPhysicalContainedIn that references this entity.

             A value of 'notApplicable' means that this entity is 
             unable to report alarm state. If no bits are set, then this
             entity supports reporting of alarms, but there are currently
             no active alarms against this entity."
        ::= { entStateEntry 5 }             
                      
 entStateStandby OBJECT-TYPE
        SYNTAX StandbyStatus
        MAX-ACCESS read-only
        STATUS current
        DESCRIPTION 
   		  "The standby status for this entity. A value of
'notApplicable'
              means that this entity is unable to report standby state.

              Some entities will exhibit only a subset of the remaining
              standby state values. If this entity does not have a 
              standby, this object will always be providingService."
   ::= { entStateEntry 6 }   

Sharon

-----Original Message-----
From: entity-state [mailto:[email-masked]] 
Sent: Tuesday, July 15, 2003 4:32 AM
To: Chisholm, Sharon [CAR:0S00:EXCH]
Subject: [psg.com #79] AutoReply: Missing States for Physical Components

<clip>

                        Thank you,
                        [email-masked]

-------------------------------------------------------------------------
Juergen Schoenwaelder [[email-masked]]

'd) state 'lock' for entStateAdmin of a container?

f) state 'active' for entStateUsage of a power supply?

g) state 'active' for entStateUsage of a fan?'

'y) In general, the description of the states for each combination of
   entity class and state value is incomplete (see d,e,f above). What
   is the interpretation of combinations not mentioned in the text?
   Are such combinations simply undefined but not illegal or are they
   illegal?'

_______________________________________________
Entmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/entmib

---

From: "Sharon Chisholm" <[email-masked]>
Date: Tue, 16 Dec 2003 15:14:30 -0500

Hi

        
  entStateOper OBJECT-TYPE
        SYNTAX      OperState
        MAX-ACCESS  read-only
        STATUS      current
        DESCRIPTION

           

        

Sharon

-----Original Message-----
From: entity-state [mailto:[email-masked]] 
Sent: Tuesday, July 15, 2003 4:32 AM
To: Chisholm, Sharon [CAR:0S00:EXCH]
Subject: [psg.com #79] AutoReply: Missing States for Physical Components

<clip>

                        Thank you,